Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IDatasetPreviewTask

All Superinterfaces:
  IEngineTask

    public interface IDatasetPreviewTask

extends IEngineTask

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.api.IEngineTask
`CANCEL_ON_ERROR, CONTINUE_ON_ERROR, STATUS_CANCELLED, STATUS_FAILED, STATUS_NOT_STARTED, STATUS_RUNNING, STATUS_SUCCEEDED, TASK_DATAEXTRACTION, TASK_DATASETPREVIEW, TASK_GETPARAMETERDEFINITION, TASK_RENDER, TASK_RUN, TASK_RUNANDRENDER, TASK_UNKNOWN`

Method Summary
`IExtractionResults` | `execute()` execute the query and return the result set
`void` | `setDataSet(org.eclipse.birt.report.model.api.DataSetHandle dataset)` select which data set should be executed
`void` | `setMaxRow(int maxRow)`

Methods inherited from interface org.eclipse.birt.report.engine.api.IEngineTask
`addScriptableJavaObject, cancel, cancel, close, getAppContext, getCancelFlag, getEngine, getErrors, getID, getLocale, getLogger, getParameterDisplayText, getParameterValue, getParameterValues, getReportRunnable, getStatus, getTaskType, getULocale, setAppContext, setDataSource, setDataSource, setErrorHandlingOption, setLocale, setLocale, setLogger, setParameter, setParameterDisplayText, setParameterValue, setParameterValues, setProgressMonitor, setStatusHandler, setTimeZone, setUserACL, validateParameters`

Method Detail

### setDataSet

    void setDataSet(org.eclipse.birt.report.model.api.DataSetHandle dataset)

  select which data set should be executed

### execute

    IExtractionResults execute()
                               throws EngineException

  execute the query and return the result set

  Throws:
    `EngineException`

### setMaxRow

    void setMaxRow(int maxRow)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.